%define upstream_name    Module-Locate
%define upstream_version 1.72

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Locate modules in the same fashion as C<require> and C<use>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildArch:  noarch

%description
Using 'locate()', return the path that 'require' would find for a given
module or filename (it can also return a filehandle if a reference in
'@INC' has been used). This means you can test for the existence, or find
the path for, modules without having to evaluate the code they contain.

This module also comes with accompanying utility functions that are used
within the module itself (except for 'get_source') and are available for
import.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.720.0-2.mga3
+ Revision: 369914
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 1.720.0-1.mga3
+ Revision: 298043
- update to 1.72

* Mon Jul 09 2012 jquelin <jquelin> 1.700.0-1.mga3
+ Revision: 269062
- imported package perl-Module-Locate

